lp:~crimsun/pulseaudio/lucid

Created by Daniel T Chen on 2009-11-07 and last modified on 2009-11-13
Get this branch:
bzr branch lp:~crimsun/pulseaudio/lucid
Only Daniel T Chen can upload to this branch. If you are Daniel T Chen please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Daniel T Chen
Project:
PulseAudio
Status:
Development

Recent revisions

220. By Daniel T Chen <crimsun@errno> on 2009-11-13

* New upstream bugfix release
* Bump for 0.9.20:
  + debian/libpulse0.shlibs
  + debian/pulseaudio.shlibs
  + debian/rules

219. By Daniel T Chen <crimsun@errno> on 2009-11-13

Fix BT validation (LP: #437293)

218. By Daniel T Chen <crimsun@errno> on 2009-11-13

* New upstream release
    and pulseaudio-module-rygel-media-server for upgrades (really
    fixes LP #477382)
* debian/patches/:
  - 0002-work-around-suspend-on-idle-source-sink-race.patch:
  - 0052-revert-sse2-optimize.patch:
  - 0055-backport-alsa-bt-position-fixes-b3592a1.patch:
    Remove; applied upstream
  + 0054-mute-iec958-optical-raw-for-audigyX.patch: Refresh
  + 0055-handle-Master-Front.patch: For new VIA-based HDA, handle
    this mixer control until we've fixed it in linux (LP: #478868)

217. By Daniel T Chen <crimsun@errno> on 2009-11-10

* debian/control:
  + pulseaudio Provides pulseaudio-module-hal, pulseaudio-module-udev,
    and pulseaudio-module-rygel-media-server for upgrades

216. By Luke Yelavich on 2009-11-09

releasing version 1:0.9.19-2ubuntu2

215. By Luke Yelavich on 2009-11-09

* debian/control:
  + Promote pulseaudio-utils to Depends for pulseaudio so that the
    pm-utils script is present (LP: #478182)
  - Drop obsolete Depends on pulseaudio-module-udev for pulseaudio
    (LP: #477382)
* debian/01PulseAudio: Don't fail suspend/resume when system-wide
  daemon is running (LP: #476505)

214. By Luke Yelavich on 2009-11-06

releasing version 1:0.9.19-2ubuntu1

213. By Luke Yelavich on 2009-11-06

0057-load-module-x11-bell.patch: Load module-x11-bell in the
start-pulseaudio-x11 script (LP: #301174)

212. By Luke Yelavich on 2009-11-06

* Merge from Debian unstable, remaining changes:
  - epoch (my stupid fault :S)
  - Don't build against, and create jack package. Jack is not in main
  - use speex-float-1 resampler to work better with lack of PREEMPT in
    karmic's -generic kernel config, also change buffer size
  - Add alsa configuration files to route alsa applications via pulseaudio
  - Move libasound2-plugins from Recommends to Depends
  - Add pm-utils sleep hook to suspend (and resume) users' pulseaudio
    daemons
  - Make initscript more informative in the default case of per-user
    sessions
  - add status check for system wide pulseaudio instance
  - create /var/run/pulse, and make restart more robust
  - LSB {Required-*,Should-*} should specify hal instead of dbus,
    since hal is required (and already requires dbus)
  - indicate that the system pulseaudio instance is being started from the init
    script
  - Install more upstream man pages
  - Link to pacat for parec man page
  - check whether pulseaudio is running before preloading the padsp library
  - Add DEB_OPT_FLAG = -O3 as per recommendation from
    pulseaudio-discuss/2007-December/001017.html
  - cache /usr/share/sounds/ubuntu/stereo/ wav files on pulseaudio load
  - Generate a PO template on build
  - add special case to disable pulseaudio loading if accessibility/speech
    is being used
  - the esd wrapper script should not load pulseaudio if pulseaudio is being
    used as a system service
  - add a pulseaudio apport hook
  - fix some typos in README.Debian
  - drop padevchooser(Recommends) and pavucontrol (Suggests)
  - drop libasyncns-dev build dependency, its in universe
  - add libudev-dev as a build-dependency
  - Fix initialization of devices with modem subdevices
  - Backport ALSA BlueTOoth position fixes from git HEAD
  - Disable cork-music-on-phone
  - Revert sse2 optimizations
  - disable flat volume
  - Handle div by zero attempts
  - Mute IEC958 Optical Raw by default
  - use tdd instead of gdbm
* debian/control:
  - Dro packages, due to debian including the files in these packages in the
    main pulseaudio package: pulseaudio-module-udev,
    pulseaudio-module-udev-dbg, pulseaudio-module-rygel-media-server,
    pulseaudio-module-rygel-media-server-dbg
  - Add conflicts/replaces for pulseaudio-module-udev and
    pulseaudio-module-rygel-media-server
  - Add replaces for pulseaudio-module-hal to the pulseaudio package to handle
    upgrades from hardy
  - Remove rtkit from conflicts, and add it to recommends, as 2.6.32 has the
    needed patches
* Built with normal old-style hal support on kfreebsd and the hurd
* debian/patches/0001-Work-around-some-platforms-not-having-O_CLOEXEC.patch:
  + Added. Don't use O_CLOEXEC on platforms that don't support it.
    (Closes: #550826)
* debian/pulseaudio.install: Install pulse udev rules so device profiles can
  be matched with the few devices that need special tweaks
* debian/pulseaudio.install: Add the rygel media server plugin, such that
  pulseaudio sources and sinks can be exposed over UPNP via rygel.
* New upstream release
* Remove patches that were merged upstream:
  d/p/0001-tunnel-fix-parsing-of-sink-info-from-newer-servers.patch
  d/p/0002-tunnel-fix-parsing-of-source-info-from-newer-servers.patch
  d/p/0003-svolume-tweak-constraints-for-32-bits.patch
* Only compile the ARMv6 optimized code with -march=armv6 (Closes: #546322)
* Depend on udev (>= 143) for device detection (Closes: #548821, #549001)
* Update various shlibs files to use 0.9.19
* New upstream release
* d/p/0001-tunnel-fix-parsing-of-sink-info-from-newer-servers.patch
  + Added. Fix parsing of the sink info when using module-tunnel
    From the upstream 0.9.18-stable branch
* d/p/0002-tunnel-fix-parsing-of-source-info-from-newer-servers.patch
  + Added. Fix parsing of the source info when using module-tunnel
    From the upstream 0.9.18-stable branch
* d/p/0003-svolume-tweak-constraints-for-32-bits.patch
  + Added. Fixes gcc and the inline assembly using the same register.
    From the upstream 0.9.18-stable branch
* debian/control: Build-Depend on libudev-dev instead of libhal-dev.
  Pulseaudio now uses udev for device detection (Closes: #546721)
* debian/control: Enable hal->udev compat module
* Update various shlibs files to use 0.9.18
* debian/pulseaudio.install, debian/rules: Add udev and loopback modules
* debian/pulseaudio-utils.install: Add pamon and parecord
* debian/pulseaudio.install: Add dbus configuration file for system-wide
    pulse instance (Closes: #529989)
* debian/control: Bump libsndfile1-dev build-depend to >= 1.0.20.
  (Closes: #546734)
* debian/rules: Add -march=armv6 to the CFLAGS on arm and armel
  (Closes: #546322)
* New upstream release
* debian/copyright: updated
* Update various shlibs files to use 0.9.17
* New upstream release
* debian/copyright: updated
* debian/control: Remove the liboil build-dep
* debian/libpulse0.shlibs: Bump to >= 0.9.16
* debian/pulseaudio.postinst: No longer make pulseaudio suid and no longer
  create the pulse-rt group. Setting realtime priorities is now handled by
  rtkit.
* New Upstream Version
* New Upstream Version

211. By Luke Yelavich on 2009-10-24

releasing version 1:0.9.19-0ubuntu4

Branch metadata

Branch format:
Branch format 6
Repository format:
Bazaar pack repository format 1 (needs bzr 0.92)
This branch contains Public information 
Everyone can see this information.

Subscribers